#!/bin/sh

SCRIPTS_PATH=$('pwd')
PRODUCT_PATH=$('pwd')/../
PACKAGE_VERSION=0.3.0

export NPM_TOKEN="76f8066c-539b-47b8-8a76-4af6ceb8c20f"

echo 'Back step -------------------------------------------------------'
cd $PRODUCT_PATH/backend
{ # try
    $SCRIPTS_PATH/back_step.sh
} || { # catch
	echo 'Back Step Error ------------------------------------------------------'
    #exit 1
}

echo 'Front step ------------------------------------------------------'
cd $PRODUCT_PATH/frontend
{ # try
	$SCRIPTS_PATH/front_step.sh
} || { # catch
	echo 'Front Step Error ------------------------------------------------------'
    #exit 1
}

echo 'Run grunt tasks for test ----------------------------------------'
rm -f .env.development
mv .env.production.template env.production.template

##RETIRAR
#$SCRIPTS_PATH/replace.sh "\/backend\/service\/index.php" "\/backend\/index.php" "./parameters/prodEnvironment.json"
cd $PRODUCT_PATH/backend
grunt buildEnvironment:production
mv ../frontend/env.production ../frontend/.env.production

#$SCRIPTS_PATH/replace.sh "<>PUBLIC_PATH<>" "./" "env.production"
#mv env.production .env.production

echo 'Build'
{ # try
	#cd $PRODUCT_PATH/frontend
	npm run build
} || { # catch
	echo 'Run Build Error ------------------------------------------------------'
    #exit 1
}

#MUDAR PARA DEPLOY
#echo 'Replace folder mobile'
#cd ..
#mv mobile/dist ./
#rm -Rf mobile
#mv dist mobile
#ls

echo 'Product steps ------------------------------------------------'
cd $PRODUCT_PATH

echo 'Update Package Version'
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" $PACKAGE_VERSION "productInfo.json"

mv frontend/assets frontend/dist/assets
mv frontend/dist/js frontend/dist/assets/js
mv frontend/dist/css frontend/dist/assets/css

echo 'Remove development dependencies'
rm -Rf README.md
#rm -Rf backend/package.json
rm -Rf backend/package-lock.json
#rm -Rf backend/GruntFile.js
#rm -Rf backend/composer.json
#rm -Rf backend/composer.lock
rm -Rf backend/.gitignore
rm -Rf backend/reports/connection.js.template
rm -Rf backend/parameters
#rm -Rf backend/node_modules
rm -Rf backend/config/parameters.xml.template
rm -Rf backend/config/report.xml.template
